import { mdiCompass, mdiContacts } from '@mdi/js'
import Icon from '@mdi/react'
import getUnicodeFlagIcon from 'country-flag-icons/unicode'

import { Link, routes } from '@redwoodjs/router'
import { Metadata } from '@redwoodjs/web'

import TitlesCell from 'src/components/Title/TitlesCell'
import { getLogoComponent } from 'src/lib/handle'

const HomePage = () => (
  <>
    <Metadata title="Home" />

    <div className="hero min-h-[calc(100vh-6rem)]">
      <div className="hero-content flex flex-col gap-8">
        <div className="text-center">
          <TitlesCell className="text-primary" />
        </div>
        <div className="flex gap-2">
          <Link
            to={routes.projects()}
            className="btn btn-primary btn-outline sm:btn-wide btn-lg"
          >
            <Icon path={mdiCompass} className="size-6" />
            Explore
          </Link>
          <Link
            to={routes.contact()}
            className="btn btn-primary btn-outline sm:btn-wide btn-lg"
          >
            <Icon path={mdiContacts} className="size-6" />
            Contact
          </Link>
        </div>
      </div>
    </div>
    <div className="fixed bottom-2 left-2 z-10">
      <a
        href="https://git.altaiar.dev/ahmed/portfolio"
        target="_blank"
        rel="noreferrer"
        className="btn btn-square"
      >
        {getLogoComponent('gitea')}
      </a>
    </div>
    <div className="fixed bottom-2 right-2 z-10">
      <p className="btn btn-square text-xl">
        {getUnicodeFlagIcon(process.env.COUNTRY)}
      </p>
    </div>
  </>
)

export default HomePage
